SDL_GetGamepadButtonLabel(3)

NAME
SDL_GetGamepadButtonLabel - Get the label of a button on a gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_GamepadButtonLabel SDL_GetGamepadButtonLabel(SDL_Gamepad *gamepad, SDL_GamepadButton button);

FUNCTION PARAMETERS

gamepad
    a gamepad.

button
    a button index (one of the SDL_GamepadButton values).

RETURN VALUE
Returns the SDL_GamepadButtonLabel enum corresponding to the button label.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadButtonLabelForType(3)